Ticket #40237

乱数生成アルゴリズムxoshiro128**をバージョン1.1にする

Open Date: 2020-03-08 18:02 Last Update: 2020-03-26 14:49

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
6
Severity:
6
Resolution:
Fixed
File:
None

Details

変愚蛮怒で現在採用している乱数生成アルゴリズムであるxoshiro128**だが、導入当時のバージョン1.0は参照する状態変数配列の要素番号が誤っているというバグがあった。

http://prng.di.unimi.it/xoshiro128starstar.c から引用:

Note that version 1.0 had mistakenly s0 instead of s1 as state word passed to the scrambler.

バージョン1.1では修正されているので、変愚蛮怒もこれにあわせて修正する。

Ticket History (3/5 Histories)

2020-03-08 18:02 Updated by: habu
  • New Ticket "乱数生成アルゴリズムxoshiro128**をバージョン1.1にする" created
2020-03-25 21:59 Updated by: habu
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/5034cc8158be5926788e1b92725400e31f4fe532 で対応。 2.2.2リリース前にマージしてください。

(Edited, 2020-03-25 22:00 Updated by: habu)
2020-03-25 22:05 Updated by: habu
  • Resolution Update from None to Fixed
2020-03-25 23:01 Updated by: deskull
Comment

ありがとうございました。必ずリリース前にマージします。

2020-03-26 14:49 Updated by: deskull
  • Status Update from Open to Closed
Comment

マージ済ませました。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login